using System;
using System.Threading;

namespace Trdeksempel_Parkeringshus_wait_notify
{
	// Udkrsels-trd
	public class Udkrsel
	{
		private P_Hus_Monitor phusMonitor;
        private volatile bool active = true;
        public Udkrsel(P_Hus_Monitor phusMonitor)
		{
			this.phusMonitor = phusMonitor;
		}
		public void Run ()
		{
			Random random = new Random();
			while (active)
			{
				try
				{
					phusMonitor.bilKrerUd();
					Thread.Sleep (random.Next(10,5000));
				}
				catch (System.Exception )
				{
				}
			}
		}
        public void Stop()
        {
            active = false;
        }
    }
}
