using System;
using System.Threading;

namespace Trdeksempel_Parkeringshus_wait_notify
{
	// Indkrsels-trd
	public class Indkrsel
	{
		private P_Hus_Monitor phusMonitor;
        private volatile bool active = true;
		public Indkrsel(P_Hus_Monitor phusMonitor)
		{
			this.phusMonitor = phusMonitor;
		}
		public void Run ()
		{
			Random random = new Random();
			while (active)
			{
				try
				{
					phusMonitor.bilKrerInd();
					Thread.Sleep (random.Next(10,8000));
				}
				catch (System.Exception )
				{
				}
			}
		}
        public void Stop()
        {
            active = false;
        }
	}
}

